Main Page Modules Class Hierarchy Compound List File List Compound Members

# NEDFileCache Class Reference

`#include <nedcompiler.h>`

List of all members.

## Public Methods

| NEDFileCache ()
| ~NEDFileCache ()
void | addFile (const char *name, NEDElement *node)
NEDElement* | getFile (const char *name)

## Protected Attributes

NEDMap | importedfiles

## Detailed Description

Caches NED files already loaded. To be used with NEDCompiler. A NEDFileCache instance can be reused when compiling several independent files in a row.

The documentation for this class was generated from the following file:

- nedcompiler.h